#pragma once
#include <saas/deploy_manager/scripts/cluster/cluster_task.h>

#define CHECK_SLOTS_TASK_TYPE "CHECK_SLOTS_TASK"

namespace NRTYDeploy {
    class TCheckSlotsTask : public TClusterTask {
    private:
        TVector<TString> SlotsVector;
        TString SlotVectorParam;
    protected:
        virtual ui64 GetTSDiscr() const override {
            return 1;
        }

    public:

        TCheckSlotsTask(const TClusterTask::TCgiContext& context, NRTYDeploy::ICommonData* commonData, const TString& slotsVector);

        virtual void DoBuildTask() override;
    };

}
